Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452062 - nss package should own /etc/prelink.conf.d folder
Summary: nss package should own /etc/prelink.conf.d folder
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 02:19 UTC by petrosyan
Modified: 2008-06-24 20:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-24 20:53:59 UTC


Attachments (Terms of Use)

Description petrosyan 2008-06-19 02:19:25 UTC
Description of problem:
nss package should own /etc/prelink.conf.d folder

Version-Release number of selected component (if applicable):
nss-3.12.0.3-2.fc10.x86_64

Steps to Reproduce:
1. rpm -qf /etc/prelink.conf.d/nss-prelink.conf
2. rpm -qf /etc/prelink.conf.d

Actual results:
$ rpm -qf /etc/prelink.conf.d/nss-prelink.conf 
nss-3.12.0.3-2.fc10.x86_64

$ rpm -qf /etc/prelink.conf.d
file /etc/prelink.conf.d is not owned by any package

Comment 1 Kai Engert (:kaie) (inactive account) 2008-06-19 11:36:48 UTC
Shouldn't the /etc/prelink.conf.d directory rather be owned by the prelink package?


Comment 2 petrosyan 2008-06-20 15:46:37 UTC
According to Fedora packaging guidelines "your package should own all of the
directories it creates except those owned by packages which your package depends
on".
http://fedoraproject.org/wiki/PackagingDrafts/DirectoryOwnershipImprovement

nss does not depend on prelink package. If prelink is uninstalled, then nss
should still own all directories that it uses.

Comment 3 Kai Engert (:kaie) (inactive account) 2008-06-24 18:12:17 UTC
Thanks for the clarification

Comment 4 Kai Engert (:kaie) (inactive account) 2008-06-24 18:22:06 UTC
@@ -297,6 +297,7 @@
 %config(noreplace) %{_sysconfdir}/pki/nssdb/cert8.db
 %config(noreplace) %{_sysconfdir}/pki/nssdb/key3.db
 %config(noreplace) %{_sysconfdir}/pki/nssdb/secmod.db
+%dir %{_sysconfdir}/prelink.conf.d
 %{_sysconfdir}/prelink.conf.d/nss-prelink.conf

 %files tools

Comment 5 Kai Engert (:kaie) (inactive account) 2008-06-24 20:53:59 UTC
fixed in rawhide nss-3.12.0.3-3.fc10



Note You need to log in before you can comment on or make changes to this bug.